"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.custom = exports.skip = exports.sometimes = exports.nullable = void 0;
/**
 * The field under validation is not required when set to null
 * @returns
 */
function nullable() {
    return {
        name: "nullable",
        handler: (value) => {
            if (value != null) {
                return -1;
            }
            return true;
        },
    };
}
exports.nullable = nullable;
/**
 * The field under validation is only required if present
 * @returns
 */
function sometimes() {
    return {
        name: "sometimes",
        handler: (value, v, name, { inputs }) => {
            if (inputs[name] != undefined) {
                return -1;
            }
            return true;
        },
    };
}
exports.sometimes = sometimes;
/**
 * @since v5
 *
 * The field under validation will be skipped
 * @returns
 */
function skip() {
    return {
        name: "skip",
        handler: (value, v, name, { inputs }) => {
            return true;
        },
    };
}
exports.skip = skip;
/**
 * @since v5
 *
 * Apply custom rule on fly
 * @param handler
 * @returns
 */
function custom(handler) {
    return {
        name: 'custom',
        handler,
    };
}
exports.custom = custom;
//# sourceMappingURL=special.rule.js.map