import { Langs } from "./contracts.js";
let config = {
    // wildcardIterations: 1000,
    // wildcardSeperator: '.',
    lang: Langs.en_US,
    implicitRules: [
        "required",
        "requiredIf",
        "requiredNotIf",
        "requiredWith",
        "requiredWithout",
        "accepted",
        "sometimes",
        "skip",
        "nullable",
    ],
    /**
     * @since v5
     * @added v5.0.0.beta-6
     */
    multipleErrors: false,
};
export function set(customConfig) {
    config = Object.assign(Object.assign({}, config), customConfig);
}
export function get(key, defaultValue = null) {
    if (key) {
        return config[key] != undefined ? config[key] : defaultValue;
    }
    return config;
}
export function modify(key, value) {
    config[key] = value;
}
export function addImplicitRule(ruleName) {
    var _a;
    (_a = config.implicitRules) === null || _a === void 0 ? void 0 : _a.push(ruleName);
}
//# sourceMappingURL=config.js.map