/**
 * The field under validation is not required when set to null
 * @returns
 */
export function nullable() {
    return {
        name: "nullable",
        handler: (value) => {
            if (value != null) {
                return -1;
            }
            return true;
        },
    };
}
/**
 * The field under validation is only required if present
 * @returns
 */
export function sometimes() {
    return {
        name: "sometimes",
        handler: (value, v, name, { inputs }) => {
            if (inputs[name] != undefined) {
                return -1;
            }
            return true;
        },
    };
}
/**
 * @since v5
 *
 * The field under validation will be skipped
 * @returns
 */
export function skip() {
    return {
        name: "skip",
        handler: (value, v, name, { inputs }) => {
            return true;
        },
    };
}
/**
 * @since v5
 *
 * Apply custom rule on fly
 * @param handler
 * @returns
 */
export function custom(handler) {
    return {
        name: 'custom',
        handler,
    };
}
//# sourceMappingURL=special.rule.js.map